/**
 * Copyright (c) 2021, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 *
 * This software is the property of WSO2 Inc. and its suppliers, if any.
 * Dissemination of any information or reproduction of any material contained
 * herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 * You may not alter or remove any copyright or other notice from copies of this content."
 */

/**
 * Interface for the resource endpoints of extended features.
 */
export interface ExtendedFeatureResourceEndpointsInterface {
    /**
     * Tenant Branding Preference API endpoint.
     */
    brandingPreference: string;
    /**
     * Remote user store agent connection API endpoint.
     */
    userStoreAgentConnection: string;
    /**
     * Remote user store agent token API endpoint.
     */
    userStoreAgentToken: string;

    /**
     * Get the resource endpoints for the Invitation Management feature.
     */
    userEndpoint: string;
    resendEndpoint: string;
    inviteEndpoint: string;
    inviteLinkEndpoint: string;
}

