<!--
~ Copyright (c) 2021, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
~
~ This software is the property of WSO2 Inc. and its suppliers, if any.
~ Dissemination of any information or reproduction of any material contained
~ herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
~ You may not alter or remove any copyright or other notice from copies of this content."
-->

<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page import="org.apache.commons.text.StringEscapeUtils" %>
<%@ page import="org.owasp.encoder.Encode" %>
<%@ page import="org.wso2.carbon.identity.mgt.endpoint.util.IdentityManagementEndpointConstants" %>
<%@ page import="org.wso2.carbon.identity.mgt.endpoint.util.IdentityManagementEndpointUtil" %>
<%@ page import="java.io.File" %>
<%@ page import="org.wso2.carbon.identity.core.util.IdentityTenantUtil" %>
<%@ page import="org.wso2.carbon.utils.multitenancy.MultitenantUtils" %>

<jsp:directive.include file="includes/localize.jsp"/>

<!-- Include tenant context -->
<jsp:directive.include file="tenant-resolve.jsp"/>

<!-- Branding Preferences -->
<jsp:directive.include file="extensions/branding-preferences.jsp"/>

<%
    String accessUrl = (String) request.getAttribute("accessUrl");
%>

<!doctype html>
<html>
<head>
    <%
        File headerFile = new File(getServletContext().getRealPath("extensions/header.jsp"));
        if (headerFile.exists()) {
    %>
    <jsp:include page="extensions/header.jsp"/>
    <% } else { %>
    <jsp:include page="includes/header.jsp"/>
    <% } %>
</head>
<body class="login-portal layout">
<%
    if (!(StringUtils.equals(tenantForTheming, IdentityManagementEndpointConstants.SUPER_TENANT))) {
%>
    <div class="page-wrapper success-page">
        <main class="center-segment">
            <div class="ui container medium center aligned middle aligned">
                <%
                    File productTitleFile = new File(getServletContext().getRealPath("extensions/product-title.jsp"));
                    if (productTitleFile.exists()) {
                %>
                <jsp:include page="extensions/product-title.jsp"/>
                <% } else { %>
                <jsp:include page="includes/product-title.jsp"/>
                <% } %>
                <div class="ui green segment mt-3 attached">
                    <h3 class="ui header text-center slogan-message mt-4 mb-6" data-testid="password-recovery-notify-page-header">
                        Password Recovery Information Sent
                    </h3>
                    <p class="portal-tagline-description">
                        We've sent you an email with instructions to reset your password.
                        <br/><br/>
                        <%
                            if(StringUtils.isNotBlank(accessUrl)) {
                        %>
                            <i class="caret left icon primary"></i>
                            <a href="<%= Encode.forHtml(accessUrl)%>">
                                <%=IdentityManagementEndpointUtil.i18n(recoveryResourceBundle,"Back.to.application")%>
                            </a>
                        <% } %>
                    </p>
                    <p class="ui portal-tagline-description" data-testid="password-recovery-support-message">
                        If you still haven't received it, please write to
                        <a href="mailto:<%= StringEscapeUtils.escapeHtml4(supportEmail) %>"
                           data-testid="password-recovery-resend-support-email"
                           target="_blank">
                        <span class="orange-text-color button">
                            <%= StringEscapeUtils.escapeHtml4(supportEmail) %>
                        </span>
                        </a>
                        for assistance.
                    </p>
                </div>
            </div>
<% } else { %>

    <div class="page-wrapper right-aligned default success-page">
        <main class="center-segment">
            <div class="slogan-container">
            <!-- product-title -->
            <%
                File productTitleFile = new File(getServletContext().getRealPath("extensions/product-title.jsp"));
                if (productTitleFile.exists()) {
            %>
                <jsp:include page="extensions/product-title.jsp"/>
                <% } else { %>
            <jsp:include page="includes/product-title.jsp"/>
                <% } %>
                <h2 class="ui header portal-logo-tagline" data-testid="password-recovery-notify-page-header">
                    Password Recovery Information Sent
                </h2>
                <p class="portal-tagline-description">
                    We've sent you an email with instructions to reset your password.
                    <br/><br/>
                    <%
                         if(StringUtils.isNotBlank(accessUrl)) {
                    %>
                        <i class="caret left icon primary"></i>
                        <a href="<%= Encode.forHtml(accessUrl)%>">
                            <%=IdentityManagementEndpointUtil.i18n(recoveryResourceBundle,"Back.to.application")%>
                        </a>
                    <%
                        }
                    %>
                </p>
                <p class="ui portal-tagline-description" data-testid="password-recovery-support-message">
                    If you still haven't received it, please write to
                    <a href="mailto:<%= StringEscapeUtils.escapeHtml4(supportEmail) %>"
                       data-testid="password-recovery-resend-support-email"
                       target="_blank">
                        <span class="orange-text-color button">
                            <%= StringEscapeUtils.escapeHtml4(supportEmail) %>
                        </span>
                    </a>
                    for assistance.
                </p>
            </div>
            <div class="ui container medium aligned middle aligned">
                <div>
                    <img class="ui centered medium image"
                         src='libs/themes/asgardio/assets/images/illustrations/password-recovery-illustration.svg' alt="email-sent-illustration"/>
                </div>
            </div>
<% } %>
        </main>
        <!-- product-footer -->
        <%
            File productFooterFile = new File(getServletContext().getRealPath("extensions/product-footer.jsp"));
            if (productFooterFile.exists()) {
        %>
        <jsp:include page="extensions/product-footer.jsp"/>
        <% } else { %>
        <jsp:include page="includes/product-footer.jsp"/>
        <% } %>
    </div>

    <!-- footer -->
    <%
        File footerFile = new File(getServletContext().getRealPath("extensions/footer.jsp"));
        if (footerFile.exists()) {
    %>
    <jsp:include page="extensions/footer.jsp"/>
    <% } else { %>
    <jsp:include page="includes/footer.jsp"/>
    <% } %>

</body>

</html>
